Skip to main content
POST
/
agents
/
{agentId}
/
conversations
/
{conversationId}
/
tool-result
Submit a tool result
curl --request POST \
  --url https://www.chatbase.co/api/v2/agents/{agentId}/conversations/{conversationId}/tool-result \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "toolCallId": "<string>",
  "output": "<unknown>"
}
'
{
  "data": {
    "success": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://chatbase.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from your account settings

Path Parameters

agentId
string
required

The agent ID

Minimum string length: 1
Example:

"5QHA6VB-DIAbBhxwqxfdi"

conversationId
string
required

The conversation ID

Minimum string length: 1
Example:

"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

Body

application/json
toolCallId
string
required

The toolCallId from the tool-call part in the chat response

Minimum string length: 1
output
any

The result of executing the tool action

Response

Tool result submitted successfully

data
object
required